#include <bbtablet.h>
#include <windows.h>
#include <stdio.h>

int main(int argc, char* argv[])
{
  //HWND wnd = GetDesktopWindow();
  HWND wnd = GetForegroundWindow();

  bbTabletDevice &td = bbTabletDevice::getInstance( );
  td.initTablet( wnd, bbTabletDevice::SYSTEM_POINTER );
  //td.initTablet( wnd, bbTabletDevice::SEPARATE_POINTER );

  if (!td.isValid()) {
    printf("There's a problem initializing the tablet!!\n");
  }

  bbTabletEvent evt;

  while (true) {

    if (!td.getNextEvent(evt)) continue;

    printf("id=%d csrtype=%d b=%x (%0.3f, %0.3f, %0.3f) p=%0.3f tp=%0.3f\n", 
           evt.id,
           evt.type,
           evt.buttons,
           evt.x,
           evt.y,
           evt.z,
           evt.pressure,
           evt.tpressure
           );
          //evt.angle
          //evt.axis[3]
/*
    printf("  Cursor name: %s\n", td.getCursorName(evt.type));
    for( int b=0; evt.buttons != 0; evt.buttons>>=1, b++)
    {
      if (evt.buttons & 1)
        printf("  Btn name %d: %s\n", b, td.getCursorButtonName(evt.type, b));
    }
*/
/*
  // test switching back and forth between system pointer
  // and separate pointer mode.
  static int cnt=0;
    if (!(++cnt%100)) {
     td.setPointerMode(
      ((cnt/100)%2)==1?
      bbTabletDevice::SEPARATE_POINTER:
      bbTabletDevice::SYSTEM_POINTER);
    }
*/
  }
  return 0;
}
